The following table provides an overview what DML and DDL events are logged and which command is applied when reverting the event (see chapter on reverting transactions).

| OP_ID | EVENT                        | REVERSE EVENT                      |
|:-----:|:-----------------------------|:-----------------------------------|
| 1     | CREATE TABLE'                | DROP TABLE                         |
| 11    | REINIT TABLE                 | REINIT TABLE                       |
| 12    | (ALTER TABLE) RENAME TABLE'  | (ALTER TABLE) RENAME TABLE'        |
| 2     | (ALTER TABLE) ADD COLUMN'    | (ALTER TABLE) DROP COLUMN'         |
| 21    | ADD AUDIT_ID                 | TRUNCATE + DROP AUDIT_ID           |
| 22    | (ALTER TABLE) RENAME COLUMN' | (ALTER TABLE) RENAME COLUMN'       |
| 3     | INSERT                       | DELETE                             |
| 4     | UPDATE                       | UPDATE                             |
| 5     | (ALTER TABLE) ALTER COLUMN'  | (ALTER TABLE) ALTER COLUMN'        |
| 6     | (ALTER TABLE) DROP COLUMN'   | (ALTER TABLE) ADD COLUMN' + UPDATE |
| 7     | DELETE                       | INSERT                             |
| 8     | TRUNCATE                     | INSERT                             |
| 81    | DROP AUDIT_ID                | ADD AUDIT_ID + INSERT              |
| 9     | DROP TABLE'                  | RECREATE TABLE'                    |

' Captured by event triggers
'' Only if USING is found in the ALTER COLUMN command 

The following tables provides an overview on what data is logged in the `row_log` table:

| OP_ID | EVENT                        | OLD LOG CONTENT                  | NEW LOG CONTENT                |
|:-----:|:-----------------------------|:---------------------------------|:-------------------------------|
| 1     | CREATE TABLE'                | -                                | -                              |
| 11    | REININT TABLE                | -                                | -                              |
| 12    | (ALTER TABLE) RENAME TABLE'  | -                                | -                              |
| 2     | (ALTER TABLE) ADD COLUMN'    | - (NULL when new data is logged) | all rows of added columns      |
| 21    | ADD AUDIT_ID                 | -                                | -                              |
| 22    | (ALTER TABLE) RENAME COLUMN' | -                                | -                              |
| 3     | INSERT                       | NULL                             | all fields of inserted row     |
| 4     | UPDATE                       | changed fields of changed rows   | changed fields of changed rows |
| 5     | (ALTER TABLE) ALTER COLUMN'  | all rows of altered columns      | all rows of altered columns    |
| 6     | (ALTER TABLE) DROP COLUMN'   | all rows of dropped columns      | NULL                           |
| 7     | DELETE                       | all fields of deleted row        | NULL                           |
| 8     | TRUNCATE                     | all fields of table              | NULL                           |
| 81    | DROP AUDIT_ID                | -                                | -                              |
| 9     | DROP TABLE'                  | all fields of table (TRUNCATE)   | NULL                           |
